OFF_NORMALS(1)

NAME
off_normals - utility for working with normals

SYNOPSIS
off_normals [options] [input_file]

DESCRIPTION
Display normals of faces, implicit edges, and vertices If input_file is not given the program reads from standard input.

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-t <opt>
    normal type. a - added to element, p - positional (default: a)

-u  unit normals (raw normals otherwise)

-e  connect to element centroid (default for -t a)

-m <num>
    connector length adjust (for -t a, greater than zero, default: 1.0)

-p <opt>
    force polarity. o - set all outward, i - set all inward

    r - reverse both inward and outward

-i <elms> include normals. The element string can include o, i and h

    to show, respectively, outward, inward and hemispherical note: exlusion occurs before -p (default: oih)

-s <elms> include elements. The element string can include v, e and f

to show, respectively, vertices, edges and faces
    (default: f)

-d <opt>
    delete elements. f - delete faces of unincluded normals

    a - delete all of original model

-c <opts> average pattern string for edge and vertex normals. Done before -p

r - raw,
    o - outward, i - inward, u - unit (default: r)

-a  alternate calculation for vertex normals

-C <xyz>
    center of model, in form 'X,Y,Z' (default: centroid)

-l <lim>
    minimum distance for unique vertex locations as negative exponent

    (default: 12 giving 1e-12)

-o <file> write output to file
    (default: write to standard output)

Coloring Options (run 'off_util -H color' for help on color formats)

-O <col>
    outward normal vertex color

-I <col>
    inward normal vertex color

    default: vertex color is negative of outward col

-H <col>
    hemispherical normal vertex color (default: gray50)

-E <col>
    normal vector color. connected to element centroid

    default: color of normal vertex

-B <col>
    normal vector base color. color at element centroid

    key word: b take color of element (default) key word: n take color of normal vertex

SEE ALSO
The full documentation for off_normals is maintained as a Texinfo manual. If the info and off_normals programs are properly installed at your site, the command

    info off_normals

should give you access to the complete manual.